@import '@ui-components/assets/themes/themify.utils.scss';
@import '~/src/themes.scss';

#LivePage {
  display: grid;

  grid-template-columns: auto;
  grid-template-rows: 200px auto;
  grid-template-areas:
    "header"
    "content";

  padding-left: 100px;
  padding-right: 100px;

  header {
    font-size: 40px;
    grid-area: header;
    align-self: center;
  }

  main {
    grid-area: content;
  }

  .Scene {
    width: 250px !important;
    height: 100px !important;
    margin: 20px !important;

    user-select: none;
    cursor: pointer;
  }

  @include themify('Scene', $themes) {
    font-family: themed('font-family');

    color: themed('item-text');
    background-color: themed('item-background');

    &.ActiveScene {
      color: themed('item-background') !important;
      background-color: themed('status-active') !important;
    }

    &:hover {
      background-color: themed('item-background-hovered');
    }
  }
}

@include themify('page', $themes) {
  &#LivePage {
    font-family: themed('font-family');
    color: themed('text-primary');
    background-color: themed('background');
  }
}
